#!/bin/bash

rm -fr build lib

cmake --no-warn-unused-cli \
      -DCMAKE_EXPORT_COMPILE_COMMANDS:BOOL=TRUE \
      -DCMAKE_BUILD_TYPE:STRING=Debug \
      -DCMAKE_C_COMPILER:FILEPATH=${CC} \
      -DCMAKE_CXX_COMPILER:FILEPATH=${CXX} \
      -S. -B./build -G "Unix Makefiles"

cmake --build ./build \
      --config Debug \
      --target all install -j 10 --